{% extends 'admin/index.html.twig' %}

{% block body %}
<h1>Ennemis <a href="{{path('admin_new_enemy')}}" class="btn">Nouveau</a></h1>
<div class="table-responsive">
    <table class="table table-striped">
        <thead>
            <th>ID</th>
            <th>Nom</th>
            <th>Image</th>
            <th>Rang</th>
            <th>Actions</th>
        </thead>
        <tbody>
        {% for enemy in enemies %}
            <tr>
                <th>{{enemy.id}}</th>
                <td>{{enemy.name}}</td>
                <td><img src="{{ vich_uploader_asset(enemy, 'image') }}" alt="" width="100px"></td>
                <td>{{enemy.rankId}}</td>
                <td>
                    <a href="{{path('admin_edit_enemy', {'id': enemy.id})}}" class="btn btn-secondary">Editer</a>
                    <a href="{{path('admin_delete_enemy', {'id': enemy.id})}}" class="btn btn-danger">Supprimer</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}